=== debian/control ===
Source: ros-melodic-nav-grid-server
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-melodic-catkin, ros-melodic-map-server, ros-melodic-nav-2d-utils, ros-melodic-nav-grid, ros-melodic-nav-grid-iterators, ros-melodic-nav-grid-pub-sub, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslib, ros-melodic-roslint
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-nav-grid-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-melodic-nav-2d-utils, ros-melodic-nav-grid, ros-melodic-nav-grid-iterators, ros-melodic-nav-grid-pub-sub, ros-melodic-nav-msgs, ros-melodic-roscpp
Description: Customizable tools for publishing images as NavGrids or OccupancyGrids
